
Installer - Feature #7464

add network awareness

09/16/2014 09:40 AM - Ohad Levy

Status: New   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Based on the staypuft installer, I would like foreman-installer to be aware and configure a network interface for provisioning within

foreman / external services (dhcp, dns etc).

Related issues:

Related to Foreman - Feature #6840: publish a foreman live-cd Ready For Testing

Related to Installer - Feature #4994: create a subnet in foreman once a dhcp ... New 04/01/2014

History

#1 - 09/16/2014 09:41 AM - Ohad Levy

- Related to Feature #6840: publish a foreman live-cd added

#2 - 09/22/2014 04:28 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 1.7.3

- Pull request https://github.com/Katello/katello.org/pull/46 added

- Pull request deleted ()

#3 - 09/22/2014 04:43 AM - Stephen Benjamin

- Pull request  added

- Pull request deleted (https://github.com/Katello/katello.org/pull/46)

#4 - 09/22/2014 04:43 AM - Stephen Benjamin

- Status changed from Ready For Testing to New

#5 - 09/22/2014 04:43 AM - Stephen Benjamin

- Target version deleted (1.7.3)

#6 - 10/01/2014 06:52 AM - Ohad Levy

- translation missing: en.field_release set to 21

#7 - 10/01/2014 08:00 AM - Ewoud Kohl van Wijngaarden

I'm not 100% sure I got the exact scope right. Do you mean that the installer should in some way ensure the subnet the smartproxy DHCP is in will be

added to the foreman? In that case I might need to finish up https://github.com/theforeman/puppet-foreman/pull/111

#8 - 10/01/2014 08:18 AM - Ewoud Kohl van Wijngaarden

- Related to Feature #4994: create a subnet in foreman once a dhcp server is configured added

#9 - 10/01/2014 08:47 AM - Ohad Levy

Ewoud Kohl van Wijngaarden wrote:
https://github.com/theforeman/puppet-foreman/pull/111


I'm not 100% sure I got the exact scope right. Do you mean that the installer should in some way ensure the subnet the smartproxy DHCP is in

will be added to the foreman? In that case I might need to finish up https://github.com/theforeman/puppet-foreman/pull/111

 this is currently done via a kafo hook (see https://github.com/theforeman/foreman-installer-staypuft/blob/master/hooks/lib/provisioning_seeder.rb).

having it purely in puppet sounds promising, but not sure if kafo internally needs the information?  @ares what do you think?

#10 - 10/01/2014 11:19 AM - Ewoud Kohl van Wijngaarden

We already do so for smartproxy registration, so the only potential problem I see is that there is no puppet fact for the gateway.

#11 - 10/09/2014 06:01 AM - Marek Hulán

We may want to do more complex things which is why I'm not sure about puppet to be the right tool to seed data into Foreman. E.g. if interactive

mode is enabled we may want to handle situation when there's already subnet of same name, we may want to display user a diff, update just some of

parameters etc. Also me will want to do association of other objects (subnet/domains/proxies). While the final save could be made by puppet, loading

and other parts would need to use some other code.

I'd prefer using one codebase to work with Foreman resources. I'd use apipie-bindigs with the recent Ivan's work that adds helpers like

find_or_create, reload, contexts, associations, multiple action on collections etc. There's still work to do (extract foreman specific configuration from 

hammer cli eval plugin to some foreman-bindings package). This way it would be very easy to manipulate with Foreman resources. As stated before,

we could still use apipie bindings in puppet manifests just to save the record after user interaction but I don't see any pro here. Obviously one

advantage of having Foreman resource configuration through puppet module is that you can use Foreman to manage other Foremen but if the

module would depend on apipie bindigs, it does not make much sense.

#12 - 10/28/2014 05:18 AM - Dominic Cleal

- Target version set to 1.7.2

#13 - 10/28/2014 05:22 AM - Dominic Cleal

- translation missing: en.field_release deleted (21)

#14 - 10/15/2018 11:42 AM - Tomer Brisker

- Target version deleted (656)
